Crazy Eddies GUI System: CEGUI::MinizipResourceProvider Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
CEGUI::MinizipResourceProvider Class Reference
Inheritance diagram for CEGUI::MinizipResourceProvider:
[legend]
Collaboration diagram for CEGUI::MinizipResourceProvider:
[legend]

List of all members.

## Public Member Functions
| MinizipResourceProvider (const String &archive, bool loadLocal=true)
void | setArchive (const String &archive)
| sets the archive from which files are retrieved.
void | setLoadLocal (bool load=true)
void | loadRawDataContainer (const String &filename, RawDataContainer &output, const String &resourceGroup)
| Load XML data using InputSource objects.
size_t | getResourceGroupFileNames (std::vector< String > &out_vec, const String &file_pattern, const String &resource_group)
## Protected Member Functions
bool | doesFileExist (const String &filename)
void | openArchive ()
void | closeArchive ()
## Protected Attributes
Impl * | d_pimpl

## Member Function Documentation

size_t CEGUI::MinizipResourceProvider::getResourceGroupFileNames | ( | std::vector< String > & | out_vec,
|  | const String & | file_pattern,
|  | const String & | resource_group
| ) |  | `[virtual]`

enumerate the files in resource_group that match file_pattern and append thier names to out_vec

Reimplemented from CEGUI::DefaultResourceProvider.

void CEGUI::MinizipResourceProvider::loadRawDataContainer | ( | const String & | filename,
|  | RawDataContainer & | output,
|  | const String & | resourceGroup
| ) |  | `[virtual]`

Load XML data using InputSource objects.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a InputSourceContainer object to load the data into.

Load raw binary data.

Parameters:

  filename | String containing a filename of the resource to be loaded.
  output | Reference to a RawDataContainer object to load the data into.
  resourceGroup | Optional String that may be used by implementations to identify the group from which the resource should be loaded.

Reimplemented from CEGUI::DefaultResourceProvider.

void CEGUI::MinizipResourceProvider::setArchive | ( | const String & | archive | ) |

sets the archive from which files are retrieved.

Parameters:

  archive | The filepath to the archive